Bug 604290 (CVE-2010-2283) - CVE-2010-2283 wireshark: SMB dissector NULL pointer dereference
Summary: CVE-2010-2283 wireshark: SMB dissector NULL pointer dereference
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-2283
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 549580 604312 612236 612237 612238 612239
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-15 19:21 UTC by Vincent Danen
Modified: 2019-09-29 12:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-22 20:26:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0625 normal SHIPPED_LIVE Moderate: wireshark security update 2010-08-11 20:59:31 UTC

Description Vincent Danen 2010-06-15 19:21:14 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-2283 to
the following vulnerability:

Name: CVE-2010-2283
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-2283
Assigned: 20100614
Reference: MLIST:[oss-security] 20100610 CVE request for new wireshark vulnerabilities
Reference: URL: http://www.openwall.com/lists/oss-security/2010/06/11/1
Reference: CONFIRM: http://www.wireshark.org/security/wnpa-sec-2010-05.html
Reference: CONFIRM: http://www.wireshark.org/security/wnpa-sec-2010-06.html
Reference: MANDRIVA:MDVSA-2010:113
Reference: URL: http://www.mandriva.com/security/advisories?name=MDVSA-2010:113
Reference: SECUNIA:40112
Reference: URL: http://secunia.com/advisories/40112
Reference: VUPEN:ADV-2010-1418
Reference: URL: http://www.vupen.com/english/advisories/2010/1418

The SMB dissector in Wireshark 0.99.6 through 1.0.13, and 1.2.0
through 1.2.8 allows remote attackers to cause a denial of service
(NULL pointer dereference) via unknown vectors.

Upstream commits:

trunk: http://anonsvn.wireshark.org/viewvc?view=rev&revision=32650
trunk-1.2: http://anonsvn.wireshark.org/viewvc?view=rev&revision=33142
trunk-1.0: http://anonsvn.wireshark.org/viewvc?view=rev&revision=33145

Comment 1 Vincent Danen 2010-06-15 20:07:02 UTC
Created wireshark tracking bugs for this issue

Affects: fedora-all [bug 549580]

Comment 3 Vincent Danen 2010-06-15 20:23:16 UTC
Upstream bug report:

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4734

Comment 5 errata-xmlrpc 2010-08-11 20:59:49 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0625 https://rhn.redhat.com/errata/RHSA-2010-0625.html


Note You need to log in before you can comment on or make changes to this bug.